declare const CProgress: import("vue").DefineComponent<{
    /**
     * Use to animate the stripes right to left via CSS3 animations.
     */
    animated: BooleanConstructor;
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors.
     *
     * @values 'primary', 'secondary', 'success', 'danger', 'warning', 'info', 'dark', 'light'
     */
    color: {
        type: StringConstructor;
        validator: (value: string) => boolean; /**
         * The percent to progress the ProgressBar.
         */
    };
    /**
     * Sets the height of the component. If you set that value the inner `<CProgressBar>` will automatically resize accordingly.
     */
    height: NumberConstructor;
    /**
     * A string of all className you want applied to the <CProgressBar/> component.
     *
     * @since 5.0.0-alpha.1
     */
    progressBarClassName: StringConstructor;
    /**
     * Makes progress bar thinner.
     */
    thin: BooleanConstructor;
    /**
     * The percent to progress the ProgressBar.
     */
    value: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Set the progress bar variant to optional striped.
     *
     * @values 'striped'
     */
    variant: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    /**
     * Change the default color to white.
     */
    white: BooleanConstructor;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Use to animate the stripes right to left via CSS3 animations.
     */
    animated: BooleanConstructor;
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors.
     *
     * @values 'primary', 'secondary', 'success', 'danger', 'warning', 'info', 'dark', 'light'
     */
    color: {
        type: StringConstructor;
        validator: (value: string) => boolean; /**
         * The percent to progress the ProgressBar.
         */
    };
    /**
     * Sets the height of the component. If you set that value the inner `<CProgressBar>` will automatically resize accordingly.
     */
    height: NumberConstructor;
    /**
     * A string of all className you want applied to the <CProgressBar/> component.
     *
     * @since 5.0.0-alpha.1
     */
    progressBarClassName: StringConstructor;
    /**
     * Makes progress bar thinner.
     */
    thin: BooleanConstructor;
    /**
     * The percent to progress the ProgressBar.
     */
    value: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Set the progress bar variant to optional striped.
     *
     * @values 'striped'
     */
    variant: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    /**
     * Change the default color to white.
     */
    white: BooleanConstructor;
}>>, {
    value: number;
    white: boolean;
    animated: boolean;
    thin: boolean;
}, {}>;
export { CProgress };
